<?php
//user_fetch.php
include('db_con.php');
if (isset($_SESSION['user_id'])) {
		$user_type = $_SESSION['user_type'];
		$user_id = $_SESSION['user_id'];
		$user_name = $_SESSION['user_name'];
		$branch_id = $_SESSION['branch_id'];
		$branch_name = $_SESSION['branch_name'];
		$store_id = $_SESSION['store_id'];
    $store_name = $_SESSION['store_name'];
}else{
	header('Location: login');
	die();
}
$query = '';
$output = array();
if($user_type=='admin')
{
	$query .= "
SELECT t.id,t.dated,t.description from todo t,user_detail u WHERE u.user_id=t.user_id and u.user_type='admin' AND";
}else{$query .= "
SELECT * from todo t WHERE t.user_id ='".$user_id."' AND";}

if(isset($_POST["search"]["value"]))
{
	$query .= '(t.dated LIKE "%'.$_POST["search"]["value"].'%" ';
	$query .= 'OR t.description LIKE "%'.$_POST["search"]["value"].'%")';
	
	
}
if(isset($_POST["order"]))
{
	$query .= 'ORDER BY '.$_POST['order']['0']['column'].' '.$_POST['order']['0']['dir'].' ';
}
else
{
	$query .= 'ORDER BY ID DESC ';
}
if($_POST["length"] != -1)
{
	$query .= 'LIMIT ' . $_POST['start'] . ', ' . $_POST['length'];
}
$statement = $connect->prepare($query);
$statement->execute();
$result = $statement->fetchAll();
$data = array();
$filtered_rows = $statement->rowCount();
foreach($result as $row)
{
	
	$sub_array = array();
	$sub_array[] = $row['id'];
	
	$sub_array[] = $row['dated'];
	$sub_array[] = $row['description'];
	
	
	$sub_array[] = '<button type="button" name="update" id="'.$row["id"].'" class="btn btn-warning  update"><i class="fa fa-edit"></i></button>';
	$sub_array[] = '<button type="button" name="delete" id="'.$row["id"].'" class="btn btn-danger  delete" data-status=""><i class="fa fa-trash-o"></i></button>';
	$data[] = $sub_array;
}
$output = array(
	"draw"				=>	intval($_POST["draw"]),
	"recordsTotal"  	=>  $filtered_rows,
	"recordsFiltered" 	=> 	get_total_all_records($connect),
	"data"    			=> 	$data
);
echo json_encode($output);
function get_total_all_records($connect)
{
	$statement = $connect->prepare("SELECT * FROM todo");
	$statement->execute();
	return $statement->rowCount();
}
?>